Natália
-3 °C
8 °C

Veszélyes hibát javít az Adobe

2005.08.19. 10:45
Az Adobe kiadta a széles körben használt Acrobat Reader rendkívül kritikus hibájának javítását. A leírások szerint a támadók a biztonsági rést arra használhatják, hogy teljes hozzáféréshez jussanak a rendszerben.

Az Adobe kijavítja azt a kritikus hibát, amelynek révén támadók átvehetik az irányítást bármely érintett programot futtató számítógép felett. Ezen túl viszont a szoftvercég óvakodott közelebbről megnevezni a probléma pontos mibenlétét.

A biztonsági hiba megtalálható az Acrobat Reader 5.x-ben, az Adobe Reader 6.x és 7.x verziókban, illetve az Acrobat 5.x és 7.x-ben is. A hiba cross-platform, tehát sikerült reprodukálni Windows, MacOS X és Linux alatt.

Elég egy dokument

A Secunia biztonságtechnikai cég jelentése szerint egy közelebbről meg nem nevezett korlátozási probléma felelős a biztonsági résért. Ha a felhasználó megnyit egy speciálisan preparált dokumentumot, az puffer-túlcsordulást okoz, és ezután tetszőleges kód futtatható a gépen. A frissítések az Adobe honlapján keresztül letölthetők.

Kényeztetett Mac userek

Különös azonban, hogy az Acrobat Reader 5.x-hez nem készül javítás, írta a Golem.de híroldal. Vagyis ezek esetében a felhasználók csak úgy tudják elkerülni a veszélyt, ha Adobe Reader 6.0.4 vagy 7.0.3-ra frissítenek, esetleg alternatív szoftverrel váltják ki a PDF-olvasót. Az Adobe Reader linuxos felhasználóinak szintén az aktuális 7-es változatra kell váltaniuk, mert csak ehhez kínálnak javítást.

További furcsaság, hogy míg a MacOS-felhasználók ingyenes javítást kapnak minden érintett Acrobat változathoz, a Windows alatti verziókban csak az Acrobat 6.x és 7.x méltó a túlélésre. Így aki Windows alatt még Acrobat 5.x-et használ, fizetős verziófrissítést kénytelen választani a szoftver hibájának befoltozásához.

Kreuzenstein mesevára

Nézd meg Te is Laczko legújabb fotóit!

Varázslatos Szicília

Baboci2006 felhasználónk jóvoltából vadonatúj fotók segítségével visszatérhetsz a nyárba!